import { MouseEventHandler, PureComponent } from 'react';
import MenuContext, { MenuContextValue } from './MenuContext';
declare class MenuItem extends PureComponent<any, any> {
    static get contextType(): typeof MenuContext;
    static isMenuItem: number;
    context: MenuContextValue;
    private menuItem;
    onKeyDown: MouseEventHandler<HTMLElement>;
    saveMenuItem: (menuItem: any) => void;
    render(): JSX.Element;
}
export default MenuItem;
